<template>
  <div>
    <div class="alert alert-info text-center" role="alert" v-if="!orders.length">
      No orders received till now
    </div>
    <div class="alert alert-dark" role="alert" v-if="orders.length">
      <div>
        <span class="mr-2">Total orders:</span>
        <span>{{ orders.length }}</span>
      </div>
    </div>
    <ul class="list-group" v-if="orders.length">
      <div class="mt-4" v-for="order in orders" :key="order.id">
        <div>
          <span class="mr-2">Delivery Address:</span>
          <span>{{ order.deliveryAddress }}</span>
        </div>
        <div>
          <span class="mr-2">Order Placed:</span>
          <span>{{ order.timestamp._seconds | dateAgo }}</span>
        </div>
        <li class="list-group-item">
          <div class="row">
            <p class="col-md-4 text-center font-weight-bold">Product Name</p>
            <p class="col-md-4 text-center font-weight-bold">Price</p>
            <p class="col-md-4 text-center font-weight-bold">Quantity</p>
          </div>
        </li>
        <li class="list-group-item mb-2" v-for="items in JSON.parse(order.itemsInCart)" :key="items.id">
          <div class="row">
            <p class="col-md-4 text-center">{{ items.productName }}</p>
            <p class="col-md-4 text-center">Rs. {{ items.price }}</p>
            <p class="col-md-4 text-center">{{ items.quantity }}</p>
          </div>
        </li>
      </div>
    </ul>
  </div>
</template>

<script>
export default {
  data() {
    return {
      orders: []
    }
  },
  created() {
    this.orders = this.$route.meta.orders;
  }
}
</script>
